Ads · Conversions
Returns stored events, one page at a time.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication
Query parameters
| Name | Type | Notes |
|---|---|---|
profileIdrequired | string | |
limit | integer | Default 501 to 200 |
from | string (date-time) | |
to | string (date-time) | |
eventName | string | |
cursor | string |
Example
curl -X GET "https://api.pozy.ai/v1/events?profileId=6a0b6573846efc28aaa9a3ff&limit=50" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/events?profileId=6a0b6573846efc28aaa9a3ff&limit=50", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/events",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"profileId": "6a0b6573846efc28aaa9a3ff",
"limit": 50,
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
eventsarray of object16 child fields
eventIdstringeventNamestringeventTimestring (date-time)receivedAtstring (date-time)actionSourcestringCan be null.
valuenumberCan be null.
currencystringCan be null.
sourceUrlstringCan be null.
utmobject4 child fields
sourcestringCan be null.
mediumstringCan be null.
campaignstringCan be null.
contentstringCan be null.
adRefstringCan be null.
clickIdsobject2 child fields
gclidstringCan be null.
fbcstringCan be null.
destinationsSentintegerhasEmailbooleanhasPhonebooleanhasExternalIdbooleanadobjectCan be null.
6 child fields
platformstringOne of
googleads,metaads.customerIdstringcampaignIdstringCan be null.
adGroupIdstringCan be null.
adSetIdstringCan be null.
adIdstringCan be null.
nextCursorstringCan be null.
200 response
{
"events": [
{
"eventId": "60c89d0a2e8d4a8ebed77064",
"eventName": "Acme",
"eventTime": "2026-10-02T09:00:00.000Z",
"receivedAt": "2026-10-02T09:00:00.000Z",
"actionSource": "string",
"value": 12.5,
"currency": "USD",
"sourceUrl": "https://pozy.ai/media/example-1.jpg",
"utm": {
"source": "string",
"medium": "string",
"campaign": "string",
"content": "Hello from Pozy"
},
"adRef": "string",
"clickIds": {
"gclid": "6a806c3df588d17e73dc3a38",
"fbc": "string"
},
"destinationsSent": 1,
"hasEmail": true,
"hasPhone": true,
"hasExternalId": true,
"ad": {
"platform": "googleads",
"customerId": "691909ff82eb5ed7c816716d",
"campaignId": "65a3737dd8b11ea61f199e6e",
"adGroupId": "6ad180be375f36f2c328e52b",
"adSetId": "60484b408d44e7c2492bfec5",
"adId": "6f40fa2fb0a7e728dd1a73b7"
}
}
],
"nextCursor": "string"
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Conversions
GETGet Event Match QualityPOSTSend conversion eventsPOSTAdjust uploaded conversionsGETList conversion actionsPOSTCreate website conversion actionGETList account conversion goalsPATCHUpdate account conversion goalsPATCHUpdate a conversion action's settingsGETList custom conversion goalsPOSTCreate a custom conversion goalPATCHUpdate a custom conversion goalDELRemove a custom conversion goalPOSTSend events to every destinationGETList event destinationsPOSTAdd an event destinationDELRemove an event destinationGETList conversion destinationsPOSTCreate a conversion destinationGETGet a conversion destinationPATCHUpdate a conversion destinationDELDelete a conversion destinationGETList associated campaignsPOSTAssociate campaignsDELRemove associated campaignsGETGet attribution metrics